// naumann@stce.rwth-aachen.de

#include <iostream> 
#include <cmath> 

using T=double;

T estimate(T x1, T y1, T x2, T y2) {
  T p=1, aux1=pow(x1,2), aux2=pow(x2,2), dedp;
  for(bool c=true;c;) {
    T aux3=aux1*(pow(p*x1,2)-y1)+aux2*(pow(p*x2,2)-y2);
    dedp=4*p*aux3;
    if (fabs(dedp)<=1e-9) { c=false; continue; }
    T ddedpp=4*(aux3+2*pow(p,2)*(pow(x1,4)+pow(x2,4)));
    p-=dedp/ddedpp;
  }
  return p;
}

int main() {
  using namespace std;
  T x1=0,x2=0,y1=0,y2=0;
  cout << "x1="; cin >> x1; cout << "y1="; cin >> y1;
  cout << "x2="; cin >> x2; cout << "y2="; cin >> y2;
  cout << estimate(x1,y1,x2,y2) << endl;
  return 0;
}
